=== debian/changelog ===
qtwebkit-source (2.3.2-0ubuntu7) trusty; urgency=medium

  * Add gstreamer 1.0 patches borrowed from SUSE with thanks:
   - kubuntu_MediaPlayerPrivateGStreamer-should-take-ownership-of-the-playbin.patch
   - kubuntu_buffer-ranges.patch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Apr 2014 17:54:22 +0100

qtwebkit-source (2.3.2-0ubuntu6) trusty; urgency=medium

  * Update kubuntu_gstreamer-1.0.diff to fix build failure on i386

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 27 Mar 2014 00:27:06 +0000

qtwebkit-source (2.3.2-0ubuntu5) trusty; urgency=medium

  * Add kubuntu_gstreamer-1.0.diff borrowed from SuSE to use GStreamer 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Mar 2014 17:28:44 +0000

qtwebkit-source (2.3.2-0ubuntu4) trusty; urgency=medium

  * Apply (adapted) patch from upstream qt/webkit/ANGLE to fix ANGLE FTBFS
    with bison 3.0.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 13:11:08 +0000

qtwebkit-source (2.3.2-0ubuntu3) saucy; urgency=low

  * Add basic AArch64 support, based on
    https://bugs.webkit.org/show_bug.cgi?id=116030 by Andreas Schwab.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 13 Oct 2013 21:31:14 +0100

qtwebkit-source (2.3.2-0ubuntu2) saucy; urgency=low

  * Set WTF_USE_3D_GRAPHICS=0 on ARM, fix compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Oct 2013 09:42:50 +0100

qtwebkit-source (2.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release LP: #1202425

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 31 Jul 2013 15:28:59 +0100

qtwebkit-source (2.3.1-0ubuntu4) saucy; urgency=low

  * Use g++ 4.7 on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 12:21:27 +0100

qtwebkit-source (2.3.1-0ubuntu3) saucy; urgency=low

  * Do not hardcode wrong .so version name when creating a symlink,
    instead use a symlink provided by upstream build (LP: #1191286).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 15 Jun 2013 16:41:49 +0400

qtwebkit-source (2.3.1-0ubuntu2) saucy; urgency=low

  * Fix libQtWebkit.so symlink to point to the correct lib version 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Jun 2013 17:22:01 +0200

qtwebkit-source (2.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Use --no-force-sse2 for now.
  * debian/patches/kubuntu_fix_for_powerpc.diff:
    - Drop, merged upstream
  * debian/patches/108991-jsval-32bit-fix.patch:
    - Drop, merged upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 22 Apr 2013 11:09:17 +0300
